ubiquity crashed with GLib.GError in configure_icons(): gtk-icon-theme-error-quark: Icon 'gtk-missing-image' not present in theme Adwaita (0)

Bug #1614848 reported by Jeremy Bicha on 2016-08-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Critical
Unassigned
ubiquity (Ubuntu)
High
Mathieu Trudel-Lapierre
ubuntu-gnome-meta (Ubuntu)
High
Unassigned

Bug Description

The only icon theme currently included in Ubuntu GNOME 16.10 is adwaita-icon-theme (which is a replacement for the no-longer-developed gnome-icon-theme). Unlike gnome-icon-theme, adwaita-icon-theme does not include compatibilty symlinked icons.

In GTK 3.10, GTK deprecated the use of "stock" icons. See this link for more info:
https://docs.google.com/document/d/1KCVPoYQBqMbDP11tHPpjW6uaEHrvLUmcDPqKAppCY8o/pub

Since ubiquity is unable to load the stock icons in the current GTK theme, it crashes in the current Ubuntu GNOME isos.

Ubuntu GNOME will need to install gnome-icon-theme for now since there are other apps that will crash when they try to load non-existent icons.

ProblemType: Crash
DistroRelease: Ubuntu 16.10
Package: ubiquity 16.10.7
ProcVersionSignature: Ubuntu 4.4.0-34.53-generic 4.4.15
Uname: Linux 4.4.0-34-generic x86_64
ApportVersion: 2.20.3-0ubuntu7
Architecture: amd64
CasperVersion: 1.377
Date: Fri Aug 19 06:37:13 2016
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
ExecutableTimestamp: 1470079023
InstallCmdLine: file=/cdrom/preseed/ubuntu-gnome.seed boot=casper initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
InterpreterPath: /usr/bin/python3.5
LiveMediaBuild: Ubuntu-GNOME 16.10 "Yakkety Yak" - Alpha amd64 (20160819)
ProcCmdline: /usr/bin/python3 /usr/lib/ubiquity/bin/ubiquity --greeter --only
ProcCwd: /
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/3025/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--greeter', '--only']
SourcePackage: ubiquity
Title: ubiquity crashed with GLib.GError in configure_icons(): gtk-icon-theme-error-quark: Icon 'gtk-missing-image' not present in theme Adwaita (0)
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Related branches

Jeremy Bicha (jbicha) wrote :
tags: removed: need-duplicate-check
Jeremy Bicha (jbicha) on 2016-08-19
Changed in ubuntu-gnome:
importance: Undecided → Critical
Jeremy Bicha (jbicha) on 2016-08-19
Changed in ubuntu-gnome-meta (Ubuntu):
importance: Undecided → High
status: New → Fix Committed
description: updated
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1614848

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-gnome-meta - 0.67

---------------
ubuntu-gnome-meta (0.67) yakkety; urgency=medium

  * Refreshed dependencies
  * Added gnome-icon-theme to desktop (LP: #1614848)

 -- Jeremy Bicha <email address hidden> Fri, 19 Aug 2016 03:32:31 -0400

Changed in ubuntu-gnome-meta (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubiquity (Ubuntu):
status: New → In Progress
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 16.10.13

---------------
ubiquity (16.10.13) yakkety; urgency=medium

  [ Blaze ]
  * Port to PyQT5.

  [ Mathieu Trudel-Lapierre ]
  * Automatic update of included source packages: preseed 1.71ubuntu3.
  * Finish porting to PyQt5.
  * Various small UI tweaks to support GTK 3.20. (LP: #1614848, #1617711)

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 06 Oct 2016 19:30:10 -0400

Changed in ubiquity (Ubuntu):
status: In Progress → Fix Released
Jeremy Bicha (jbicha) on 2016-10-07
Changed in ubuntu-gnome:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers